Loading...
Searching...
No Matches
Debugging Support

## Functions

void | o2_debug_flags (const char *flags)
| Enable debugging output.

## Detailed Description

## Function Documentation

## o2_debug_flags()

void o2_debug_flags | ( | const char * | flags | ) |

Enable debugging output.

Unless O2_NO_DEBUG is defined at compile time, O2 is compiled with debugging code that prints information to stdout, including network addresses, services discovered, and clock synchronization status. Enable the debugging information by calling o2_debug_flags() with a string containing any of the following characters:

- c - for basic connection data
- r - for tracing non-system incoming messages
- s - for tracing non-system outgoing messages
- R - for tracing system incoming messages
- S - for tracing system outgoing messages
- k - for tracing clock synchronization protocol
- d - for tracing discovery messages
- h - for tracing hub-related activity
- t - for tracing user messages dispatched from schedulers
- T - for tracing system messages dispatched from schedulers
- m - trace O2_MALLOC and O2_FREE calls
- o - trace socket creating and closing
- O - open sound control messages
- g - print general status info
- a - all debug flags except m (malloc/free)